<?php

/**
 * HostPad - Joomla Template
 *
 * @package bt_hostpad
 * @version 1.0
 * @copyright BonusThemes.com 2011
 * @link http://www.bonusthemes.com/goto/bt_hostpad
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


global $tpl;
$iname = 'mod_domainfinder_' . $mod->instance_id();

$tlds = array();
foreach ($mod->tlds as $tld) {
	$tlds[] = '"' . $mod->json_esc($tld['name']) . '"';
}

$document =& JFactory::getDocument();
$document->addScriptDeclaration(
'document.mod_domainfinder_conf["' . $iname . '"] = {
	lang_str: {
		domain_searching: "' . JText::_('DOMAINFINDER_SEARCHING') . '",
		domain_available: "' . JText::_('DOMAINFINDER_AVAILABLE') . '",
		domain_unavailable: "' . JText::_('DOMAINFINDER_UNAVAILABLE') . '",
		domain_error: "' . JText::_('DOMAINFINDER_ERROR') . '",
		more_info: "' . JText::_('DOMAINFINDER_MORE_INFO') . '",
		no_tlds: "' . JText::_('DOMAINFINDER_NO_TLDS') . '",
		invalid_domain: "' . JText::_('DOMAINFINDER_INVALID_DOMAIN') . '",
		domain_too_short: "' . JText::_('DOMAINFINDER_DOMAIN_TOO_SHORT') . '",
		domain_too_long: "' . JText::_('DOMAINFINDER_DOMAIN_TOO_LONG') . '",
		invalid_tld: "' . JText::_('DOMAINFINDER_INVALID_TLD') . '",
		information_na: "' . JText::_('DOMAINFINDER_INFORMATION_NA') . '"
	},
	tlds: [' . implode(', ', $tlds) . '],
	call_url: "' . $mod->json_esc(JUri::root()) . '",
	cb_open: "BtDomainFinder_h_open",
	cb_create_listing: "BtDomainFinder_h_create_listing"
};
');

echo '
<div id="' . $iname . '" class="mod_domainfinder">
	<div id="' . $iname . '_input_panel">
		<table class="ctbl">
			<tr>
				<td><div class="domainfinder_text_prefix">www.</div></td>
				<td>
					<div class="domainfinder_text_l"><div class="domainfinder_text_r"><div class="domainfinder_text_c">
						<input type="text" id="' . $iname . '_text" name="' . $iname . '_text" value="' . JText::_('example.com') . '" onfocus="if(!this.ct)this.value=\'\';" onblur="if(this.value==\'\'){this.value=\'' . JText::_('example.com') . '\';this.ct=0}else{this.ct=1;}" />
					</div></div></div>
				</td>
				<td>
					<div class="domainfinder_btn_l"><div class="domainfinder_btn_r"><div class="domainfinder_btn_c">
						<input type="button" class="button" id="' . $iname . '_button" value="' . JText::_('DOMAINFINDER_SEARCH_DOMAIN') . '" />
					</div></div></div>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>
					<div class="domainfinder_options_gap"></div>
';

foreach ($mod->tlds as $tld) {
	$tld_id = $iname . '_tld_' . $tld['name'];
	echo
'					<input type="checkbox" name="' . $tld_id . '" id="' . $tld_id . '"' . ($tld['enabled'] ? ' checked="checked"' : '') . '> <label for="' . $tld_id . '">' . $tld['name'] . '</label>
';
}

echo
'
				</td>
			</tr>
		</table>
	</div>
	
	<div id="' . $iname . '_result_panel" style="display:none;">
		<table class="ctbl">
			<tr>
				<td><div class="domainfinder_results1_tl"><img src="' . $tpl->path . '/images/layout/domainfinder_results1_tl.png" alt="" /></div></td>
				<td class="domainfinder_results1_tc"><div class="domainfinder_results1_tc">&nbsp;</div></td>
				<td><div class="domainfinder_results1_tr"><img src="' . $tpl->path . '/images/layout/domainfinder_results1_tr.png" alt="" /></div></td>
			</tr>
			<tr>
				<td class="domainfinder_results1_ml"><div class="domainfinder_results1_ml">&nbsp;</div></td>
				<td class="domainfinder_results1_mc">
					<button id="' . $iname . '_close_button" class="domainfinder_results1_close_button">' . JText::_('Close') . '</button>
					<div class="domainfinder_results1_title">' . JText::_('Search results') . '</div>
			
					<div class="domainfinder_results2_tl"><div class="domainfinder_results2_tr"><div class="domainfinder_results2_tc"></div></div></div>
					<div class="domainfinder_results2_ml"><div class="domainfinder_results2_mr"><div class="domainfinder_results2_mc">

						<div class="domainfinder_results_container" style="max-height:200px; overflow:auto;">
							<table>
								<tbody id="' . $iname . '_result_items">
									<tr><td>&nbsp;</td></tr>
								</tbody>
							</table>
						</div>
			
					</div></div></div>
					<div class="domainfinder_results2_bl"><div class="domainfinder_results2_br"><div class="domainfinder_results2_bc"></div></div></div>
				</td>
				<td class="domainfinder_results1_mr"><div class="domainfinder_results1_mr">&nbsp;</div></td>
			</tr>
			<tr>
				<td><img src="' . $tpl->path . '/images/layout/domainfinder_results1_bl.png" alt="" /></td>
				<td class="domainfinder_results1_bc">&nbsp;</td>
				<td><img src="' . $tpl->path . '/images/layout/domainfinder_results1_br.png" alt="" /></td>
			</tr>
		</table>
	</div>
</div>
';

?>