<?php

/**
 * HostPad - Joomla Template
 *
 * @package bt_hostpad
 * @version 1.0
 * @copyright BonusThemes.com 2011
 * @link http://www.bonusthemes.com/goto/bt_hostpad
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


// input variables: $page_type, $tpl_dir, $caller_filename

$style = '';
$date_format = '';
$social_links = true;
foreach (file($tpl_dir . 'params.ini') as $line) {
	$e = explode('=', $line, 2);
	if (count($e) == 2) {
		$k = strtolower(trim($e[0]));
		if ($k == 'blogstyle') {
			$style = trim($e[1]);
		}
		else if ($k == 'date_format') {
			$date_format = trim($e[1]);
		}
		else if ($k == 'social_links') {
			$social_links = (bool) trim($e[1]);
		}
	}
}

if ($style != 'blog') {
	require(JPATH_SITE . '/components/com_content/views/' . basename(dirname($caller_filename)) . '/tmpl/' . basename($caller_filename));
	return;
}

global $btarticle_report_id;
$btarticle_report_id = isset($btarticle_report_id) ? $btarticle_report_id + 1 : 0;

if ($page_type == 'article') {
	$params = $this->params;
	$article = $this->article;
}
else {
	$params = $this->item->params;
	$article = $this->item;
}

if ($date_format == '') {
	$date_format = JText::_('DATE_FORMAT_LC2');
}

$canEdit = ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));

$sfx = $this->escape($params->get('pageclass_sfx'));


if ($page_type == 'article') {
	if ($params->get('show_page_title', 1) && $params->get('page_title') != $article->title) {
		echo
'<div class="componentheading' . $sfx . '">
	<div class="mstyle3_hd_tc">
		' . $this->escape($params->get('page_title')) . '
	</div>
	<div class="mstyle3_hd_bc"></div>
</div>
';
	}
}
else {
	if ($article->state == 0) {
		echo
'<div class="system-unpublished">
';
	}
}


// output header

$header_title = '';
$title = '';
if ($params->get('show_title')) {
	$header_title = $title = $this->escape($article->title);

	$i = strpos($header_title, ' ');
	if ($i === false) {
		$header_title = '<span class="mod_word">' . $header_title . '</span>';
	}
	else {
		$header_title = '<span class="mod_word">' . substr($header_title, 0, $i) . '</span>' . substr($header_title, $i);
	}

	if ($params->get('link_titles') && $article->readmore_link != '')
		$header_title = '<a href="' . $article->readmore_link . '" class="contentpagetitle' . $sfx . '">' . $header_title . '</a>';
}


// wrapper open

echo
'<div class="contentpaneopen' . $sfx . '">
';


// report buttons

$report_elements = array();

$params->set('show_icons', false);

if ($page_type == 'article' && $this->print) {
	$report_elements[] = JHTML::_('icon.print_screen', $article, $params, $this->access);
}
else {
	if ($params->get('show_pdf_icon')) {
		$report_elements[] = JHTML::_('icon.pdf', $article, $params, $this->access);
	}

	if ($params->get( 'show_print_icon')) {
		$report_elements[] = JHTML::_('icon.print_popup', $article, $params, $this->access);
	}

	if ($params->get('show_email_icon')) {
		$report_elements[] = JHTML::_('icon.email', $article, $params, $this->access);
	}

	if ($canEdit) {
		$report_elements[] = JHTML::_('icon.edit', $article, $params, $this->access);
	}
}


$header_exists = $params->get('show_create_date') || $header_title != '' || $report_elements != '';
if ($header_exists) {
	$first = true;
	
	echo
'	<table class="ctbl100 btarticle_hd' . $sfx . ' contentheading' . $sfx . '">
		<tr>
';

	if ($params->get('show_create_date')) {
		$first = false;
		$config =& JFactory::getConfig();
		list($day, $month, $year) = explode(' ', gmdate('j F Y', strtotime($article->created) + $config->getValue('config.offset') * 3600));
		echo
'			<td class="btarticle_hd_infotd blogdate">
				<div class="month">' . JText::_($month . '_short') . '</div>
				<div class="day">' . $day . '</div>
				<div class="year">' . JText::_($year) . '</div>
			</td>
';
	}

	if ($header_title != '') {
		if ($first) {
			$first = false;
		}
		else {
			echo
'			<td class="btarticle_hd_splitter"><div class="btarticle_hd_splitter"></div></td>
';
		}
		
		echo
'			<td class="btarticle_hd_infotd btarticle_hd_title">
				<div>
					' . $header_title . '
				</div>
			</td>
';

	}

	if (!empty($report_elements)) {
		if (!$first) {
			echo
'			<td class="btarticle_hd_splitter"><div class="btarticle_hd_splitter"></div></td>
';
		}
		
		echo
'			<td class="btarticle_hd_infotd buttonheading">
				<div id="btarticle_hd_btn_' . $btarticle_report_id . '" class="btarticle_hd_btn"></div>
			</td>
';
	}

	echo
'		</tr>
	</table><div id="bredcrumbs"><h2><a href="http://yaodessit.com" title="работа в одессе">работа в одессе</a></h2></div>
';

	if (!$params->get('show_intro')) {
		echo $article->event->afterDisplayTitle;
	}
}


// output social links
if ($social_links) {
	$link = $article->readmore_link;
	if ($link != '') {
		$link = JRoute::_($link);
		if ($link != '' && $link[0] == '/') {
			$link = 'http' . (!empty($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) != 'off' ? 's' : '') . '://' . $_SERVER['HTTP_HOST'] . $link;
		}

		if (false) echo
'	<div style="clear:both"></div>
	<div class="mstyle_inner">
		<div class="btarticle_footer_top"></div>
';

		echo
'	<div style="height:10px;"></div>
';

		@include($tpl_dir . 'inc/content.social.php');
		echo
'	<div class="btarticle_footer_top"></div>
';

		if (false) echo
'	</div>
';
	}
}


// output main body

echo
'	<div class="mstyle_tgap"></div>
	<div class="mstyle_inner">
';

echo $article->event->beforeDisplayContent;


// show section and category links

$elements = array();

if ($params->get('show_section') && $article->sectionid && isset($article->section)) {
	if ($params->get('link_section')) {
		$elements[] = '<a href="' . JRoute::_(ContentHelperRoute::getSectionRoute($article->sectionid)) . '">' . $this->escape($article->section) . '</a>';
	}
	else {
		$elements[] = $this->escape($article->section);
	}
}

if ($params->get('show_category') && $article->catid) {
	if ($params->get('link_category')) {
		$elements[] = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($article->catslug, $article->sectionid)) . '">' . $this->escape($article->category) . '</a>';
	}
	else {
		$elements[] = $this->escape($article->category);
	}
}

if (!empty($elements))
	echo
'		<div class="category_links' . $sfx . '">' . implode(' - ', $elements) . '</div>
';


// show urls

if ($params->get('show_url') && $article->urls)
	echo
'		<div class="urls' . $sfx . '">
			<a href="http://' . $this->escape($article->urls) . '" target="_blank">' . $this->escape($article->urls) . '</a>
		</div>
';


// show toc

if (isset($article->toc))
	echo
'		<div class="toc' . $sfx . '">
			' . $article->toc . '
		</div>
';


// show content

echo
'		<div class="content' . $sfx . '">
			' . $article->text . '
			<div style="clear:both"></div>
		</div>
';


if ($page_type != 'article') {
	// show read more

	if ($params->get('show_readmore') && $article->readmore) {
		echo
'		<div class="readon' . $sfx . '">
			<a href="' . $article->readmore_link . '" class="readon' . $sfx . '">';

		if ($article->readmore_register) {
			echo JText::_('Register to read more...');
		}
		else if ($readmore = $params->get('readmore')) {
			echo $readmore;
		}
		else {
			echo JText::sprintf('Read more...');
		}

		echo '</a>
		</div>
';
	}
}


// close main body

echo
'	</div>
';


// output footer

$elements = array();

if (($params->get('show_author')) && ($article->author != '')) {
	$elements[] = JText::sprintf('Written by', ($this->escape($article->created_by_alias) ? $this->escape($article->created_by_alias) : $this->escape($article->author)));
}

if (intval($article->modified) != 0 && $params->get('show_modify_date')) {
	$elements[] = '<span class="modifydate">' . JText::sprintf('LAST_UPDATED2', JHTML::_('date', $article->modified, $date_format)) . '</span>';
}

if (empty($elements)) {
	echo
'	<div class="mstyle_bgap"></div>
';
}
else {
	echo
'	<div style="clear:both"></div>
	<div class="btarticle_footer_top"></div>
	<div class="mstyle_inner">
		<div>' . implode(" &nbsp; | &nbsp; \n", $elements) . '</div>
	</div>
	<div class="mstyle_bgap"></div>
';
}


// wrapper close

echo
'</div>
';


if ($page_type == 'article') {
	// noop
}
else {
	if ($article->state == 0) {
		echo
'</div>
';
	}
}


echo
'<span class="article_separator">&nbsp;</span>
' . $article->event->afterDisplayContent;



// finalize report buttons

if (!empty($report_elements)) {
	echo '
<table id="btarticle_report_' . $btarticle_report_id . '" class="btarticle_report" style="display:none"><tr><td>
	<div class="btarticle_report_tl"><div class="btarticle_report_tr"><div class="btarticle_report_tc"></div></div></div>
	<div class="btarticle_report_arrow"><div class="btarticle_report_ml"><div class="btarticle_report_mr"><div class="btarticle_report_mc">
';

	$first = true;
	foreach ($report_elements as $element) {
		if ($first) {
			$first = false;
		}
		else {
			echo
'		<div class="btarticle_report_item_gap"></div>
';
		}
	
		preg_match('~(<a.*?>)(.*?)(</a>)~', $element, $a);

		// trim starting/ending delimiters | &nbsp;
		$a[2] = preg_replace('/^(\s+|&nbsp;|\|)*/', '', $a[2]);
		$a[2] = preg_replace('/(\s+|&nbsp;|\|)*$/', '', $a[2]);

		echo
'		<div class="btarticle_report_item_l"><div class="btarticle_report_item_r"><div class="btarticle_report_item_c">' . $a[1] . $a[2] . $a[3] . '</div></div></div>
';
	}

	echo
'	</div></div></div></div>
	<div class="btarticle_report_bl"><div class="btarticle_report_br"><div class="btarticle_report_bc"></div></div></div>
</td></tr></table>
';
}

?>